LibreOffice: XMergeableCell Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XMergeableCell Interface Reference

provides methods to access information about a cell that is mergeable with other sells. More...

`import"XMergeableCell.idl";`

Inheritance diagram for XMergeableCell:

## Public Member Functions
long | getRowSpan ()
| returns the number of columns this cell spans. More...
long | getColumnSpan ()
| returns the number of rows this cell spans. More...
boolean | isMerged ()
| returns `TRUE` if this cell is merged with another cell. More...
Public Member Functions inherited from XCell
string | getFormula ()
| returns the formula string of a cell. More...
void | setFormula ([in] string aFormula)
| sets a formula into the cell. More...
double | getValue ()
| returns the floating point value of the cell. More...
void | setValue ([in] double nValue)
| sets a floating point value into the cell. More...
com::sun::star::table::CellContentType | getType ()
| returns the type of the cell. More...
long | getError ()
| returns the error value of the cell. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to access information about a cell that is mergeable with other sells.

See also
  com::sun::star::table::Cell

## Member Function Documentation

## ◆ getColumnSpan()

long getColumnSpan | ( |  | ) |

returns the number of rows this cell spans.

## ◆ getRowSpan()

long getRowSpan | ( |  | ) |

returns the number of columns this cell spans.

## ◆ isMerged()

boolean isMerged | ( |  | ) |

returns `TRUE` if this cell is merged with another cell.

The documentation for this interface was generated from the following file:

- com/sun/star/table/XMergeableCell.idl